DynamicJava Javadoc: Class IfThenElseStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class IfThenElseStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.IfThenStatement
                        |
                        +--koala.dynamicjava.tree.IfThenElseStatement

public class IfThenElseStatement
extends IfThenStatement

This class represents the if-then-else statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `ELSE_STATEMENT` The elseStatement property name

Fields inherited from class koala.dynamicjava.tree.IfThenStatement
`CONDITION, THEN_STATEMENT`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`IfThenElseStatement(Expression cond, Node tstmt, Node estmt)` Creates a new while statement
`IfThenElseStatement(Expression cond, Node tstmt, Node estmt, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Node` | `getElseStatement()` Returns the else statement of this statement
`void` | `setElseStatement(Node node)` Sets the else statement of this statement

Methods inherited from class koala.dynamicjava.tree.IfThenStatement
`getCondition, getThenStatement, setCondition, setThenStatement`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELSE_STATEMENT

    public static final java.lang.String ELSE_STATEMENT

  The elseStatement property name

Constructor Detail

### IfThenElseStatement

    public IfThenElseStatement(Expression cond,
                               Node tstmt,
                               Node estmt)

  Creates a new while statement
  Parameters:
    `cond` - the condition
    `tstmt` - the then statement
    `estmt` - the else statement
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or tstmt is null or estmt is null

### IfThenElseStatement

    public IfThenElseStatement(Expression cond,
                               Node tstmt,
                               Node estmt,
                               java.lang.String fn,
                               int bl,
                               int bc,
                               int el,
                               int ec)

  Creates a new while statement
  Parameters:
    `cond` - the condition
    `tstmt` - the then statement
    `estmt` - the else statement
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or tstmt is null or estmt is null

Method Detail

### getElseStatement

    public Node getElseStatement()

  Returns the else statement of this statement

### setElseStatement

    public void setElseStatement(Node node)

  Sets the else statement of this statement
  Throws:
    `java.lang.IllegalArgumentException` - if node is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `IfThenStatement`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.